### Virtual Method

# RB SourceSearch is_subset

#### Declaration [src]

    gboolean
    is_subset (
      RBSourceSearch* search,
      const char* current,
      const char* next
    )

#### Description [src]

Determines whether the new search text will result in a subset of entries matched by the previous search. This is used to optimise the search query.

#### Parameters

`current`

  Type: `const char*`

  The current search text (or NULL if the current search was done with a different search implementation and so cannot be considered).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`next`

  Type: `const char*`

  The new search text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE iff the new search text will match a subset of those matched by the current search.